
<form name="editForm" role="form" novalidate ng-submit="vm.save()" show-validation>

    <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                ng-click="vm.clear()">&times;</button>
        <h4 class="modal-title" id="myQuantumDocumentLabel" data-translate="translatorApp.quantumDocument.home.createOrEditLabel">Create or edit a Quantum Document</h4>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" ng-show="vm.quantumDocument.id">
            <label for="id" data-translate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                    ng-model="vm.quantumDocument.id" readonly />
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="translatorApp.quantumDocument.user" for="field_user">User</label>
            <input type="text" class="form-control" name="user" id="field_user"
                    ng-model="vm.quantumDocument.user"
                     />
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="translatorApp.quantumDocument.text" for="field_text">Text</label>
            <input type="text" class="form-control" name="text" id="field_text"
                    ng-model="vm.quantumDocument.text"
                     />
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="translatorApp.quantumDocument.title" for="field_title">Title</label>
            <input type="text" class="form-control" name="title" id="field_title"
                    ng-model="vm.quantumDocument.title"
                    required />
            <div ng-show="editForm.title.$invalid">
                <p class="help-block"
                    ng-show="editForm.title.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="translatorApp.quantumDocument.autographers" for="field_autographers">Autographers</label>
            <input type="text" class="form-control" name="autographers" id="field_autographers"
                    ng-model="vm.quantumDocument.autographers"
                     />
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="translatorApp.quantumDocument.flag" for="field_flag">Flag</label>
            <input type="text" class="form-control" name="flag" id="field_flag"
                    ng-model="vm.quantumDocument.flag"
                    required />
            <div ng-show="editForm.flag.$invalid">
                <p class="help-block"
                    ng-show="editForm.flag.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" ng-click="vm.clear()">
            <span class="glyphicon glyphicon-ban-circle"></span>&nbsp;<span data-translate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" ng-disabled="editForm.$invalid || vm.isSaving" class="btn btn-primary">
            <span class="glyphicon glyphicon-save"></span>&nbsp;<span data-translate="entity.action.save">Save</span>
        </button>
    </div>
</form>
